summaryrefslogtreecommitdiffstats
path: root/desktop/icewm
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 19:43:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:43:47 +0200
commit60f7ea54719c2324feaf3e3920cb70ee909b68c3 (patch)
tree6d0add6577e38642b225ded2d158bb832b65565a /desktop/icewm
parent9bf071bf2d9f5efae1f14eb6190aaf64732edd13 (diff)
downloadslackbuilds-60f7ea54719c2324feaf3e3920cb70ee909b68c3.tar.gz
slackbuilds-60f7ea54719c2324feaf3e3920cb70ee909b68c3.tar.xz
desktop/icewm: Updated for version 1.2.35
Diffstat (limited to 'desktop/icewm')
-rw-r--r--desktop/icewm/doinst.sh4
-rw-r--r--desktop/icewm/icewm.SlackBuild33
-rw-r--r--desktop/icewm/icewm.info8
-rw-r--r--desktop/icewm/slack-desc14
-rw-r--r--desktop/icewm/xinitrc.icewm12
5 files changed, 42 insertions, 29 deletions
diff --git a/desktop/icewm/doinst.sh b/desktop/icewm/doinst.sh
index 5dc6bb58c0..140e332222 100644
--- a/desktop/icewm/doinst.sh
+++ b/desktop/icewm/doinst.sh
@@ -1,3 +1,3 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/desktop/icewm/icewm.SlackBuild b/desktop/icewm/icewm.SlackBuild
index 265fa5e1d3..e50c7c7e6f 100644
--- a/desktop/icewm/icewm.SlackBuild
+++ b/desktop/icewm/icewm.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for icewm
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +22,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
-set -e
-
PRGNAM=icewm
-VERSION=1.2.30
+VERSION=${VERSION:-1.2.35}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-icewm
@@ -40,16 +37,24 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -64,7 +69,7 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -81,14 +86,14 @@ cat $CWD/icewm.SlackBuild > $PKG/usr/doc/icewm-$VERSION/icewm.SlackBuild
# Add man page
mkdir -p $PKG/usr/man/man1
-cat doc/icewm.1.man | gzip -9c > $PKG/usr/man/man1/icewm.1.gz
+gzip -9c doc/icewm.1.man > $PKG/usr/man/man1/icewm.1.gz
+
+# Add xinitrc for xwmconfig(1)
+install -D -m 0755 $CWD/xinitrc.icewm $PKG/etc/X11/xinit/xinitrc.icewm
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-# Add xinitrc for xwmconfig(1)
-install -D -m 0755 $CWD/xinitrc.icewm $PKG/etc/X11/xinit/xinitrc.icewm
-
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/icewm/icewm.info b/desktop/icewm/icewm.info
index fec90976a7..484eccd6f4 100644
--- a/desktop/icewm/icewm.info
+++ b/desktop/icewm/icewm.info
@@ -1,8 +1,8 @@
PRGNAM="icewm"
-VERSION="1.2.30"
+VERSION="1.2.35"
HOMEPAGE="http://icewm.org"
-DOWNLOAD="http://dl.sourceforge.net/icewm/icewm-1.2.30.tar.gz"
-MD5SUM="8a302c5e629bb81d87cc02004a694ece"
+DOWNLOAD="http://downloads.sourceforge.net/icewm/icewm-1.2.35.tar.gz"
+MD5SUM="a2adc53ab4c0c7ca6daa1ca4c697ffe9"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="BP{k}"
+APPROVED="David Somero"
diff --git a/desktop/icewm/slack-desc b/desktop/icewm/slack-desc
index c5dfad7e01..b8768581ed 100644
--- a/desktop/icewm/slack-desc
+++ b/desktop/icewm/slack-desc
@@ -1,7 +1,15 @@
-icewm: IceWM Window Manager
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+icewm: icewm (IceWM Window Manager)
icewm:
-icewm: IceWM is a window manager for the X Window System. The goal of IceWM
-icewm: is speed, simplicity, and not getting in the user's way.
+icewm: IceWM is a window manager for the X Window System. The goal of
+icewm: IceWM is speed, simplicity, and not getting in the user's way.
icewm:
icewm: Homepage: http://www.icewm.org/
icewm:
diff --git a/desktop/icewm/xinitrc.icewm b/desktop/icewm/xinitrc.icewm
index 0760a889ed..399a04b3a2 100644
--- a/desktop/icewm/xinitrc.icewm
+++ b/desktop/icewm/xinitrc.icewm
@@ -2,25 +2,25 @@
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
-sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
-sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+sysresources=/usr/lib/X11/xinit/.Xresources
+sysmodmap=/usr/lib/X11/xinit/.Xmodmap
# merge in defaults and keymaps
if [ -f $sysresources ]; then
- /usr/X11R6/bin/xrdb -merge $sysresources
+ /usr/bin/xrdb -merge $sysresources
fi
if [ -f $sysmodmap ]; then
- /usr/X11R6/bin/xmodmap $sysmodmap
+ /usr/bin/xmodmap $sysmodmap
fi
if [ -f $userresources ]; then
- /usr/X11R6/bin/xrdb -merge $userresources
+ /usr/bin/xrdb -merge $userresources
fi
if [ -f $usermodmap ]; then
- /usr/X11R6/bin/xmodmap $usermodmap
+ /usr/bin/xmodmap $usermodmap
fi
# Create default user directory & populate it if not already existent